VERSION 5.00
Object = "{13499719-4364-4974-9FC7-403EDF22A72F}#1.0#0"; "PDFFOR~1.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form PDFFormFiller 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Test for PDF Form Filler OCX"
   ClientHeight    =   8085
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   11190
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8085
   ScaleWidth      =   11190
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Refresh 
      Caption         =   "Refresh"
      Height          =   375
      Left            =   8760
      TabIndex        =   9
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton EncryptPDF 
      Caption         =   "EncryptPDF"
      Height          =   375
      Left            =   7680
      TabIndex        =   8
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton FlattenForm 
      Caption         =   "FlattenForm"
      Height          =   375
      Left            =   6600
      TabIndex        =   7
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton ExportForm 
      Caption         =   "ExportForm"
      Height          =   375
      Left            =   5520
      TabIndex        =   6
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton ImportForm 
      Caption         =   "ImportForm"
      Height          =   375
      Left            =   4440
      TabIndex        =   5
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton EmailFDF 
      Caption         =   "EmailFDF"
      Height          =   375
      Left            =   3360
      TabIndex        =   4
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton EmailPDF 
      Caption         =   "EmailPDF"
      Height          =   375
      Left            =   2280
      TabIndex        =   3
      Top             =   120
      Width           =   1095
   End
   Begin MSComDlg.CommonDialog OpenDialog 
      Left            =   10680
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton ClosePDF 
      Caption         =   "ClosePDF"
      Height          =   375
      Left            =   1200
      TabIndex        =   2
      Top             =   120
      Width           =   1095
   End
   Begin VB.CommandButton OpenPDF 
      Caption         =   "OpenPDF"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1095
   End
   Begin PDFFORMOCXLib.Pdfformocx Pdfformocx1 
      Height          =   7455
      Left            =   0
      TabIndex        =   0
      Top             =   600
      Width           =   11175
      _Version        =   65536
      _ExtentX        =   19711
      _ExtentY        =   13150
      _StockProps     =   0
   End
End
Attribute VB_Name = "PDFFormFiller"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub ClosePDF_Click()
    Pdfformocx1.ClosePDF
End Sub

Private Sub EmailFDF_Click()
    Pdfformocx1.EmailFDF
End Sub

Private Sub EmailPDF_Click()
    Pdfformocx1.EmailFilledPDF
End Sub

Private Sub EncryptPDF_Click()
    Pdfformocx1.EncryptPDF
End Sub

Private Sub ExportForm_Click()
On Error GoTo cError
    OpenDialog.Filter = "FDF Files (*.FDF)|*.fdf|XML Files (*.XML)|*.xml"
    OpenDialog.ShowOpen
    If OpenDialog.FileName <> "" Then
        strExt = "fdf"
        If OpenDialog.FilterIndex = 2 Then
            strExt = "xml"
        End If
        Pdfformocx1.ExportFormData OpenDialog.FileName + "." + strExt, strExt
    End If
cError:
    Beep
End Sub

Private Sub FlattenForm_Click()
On Error GoTo cError
    OpenDialog.Filter = "PDF Files (*.PDF)|*.PDF"
    OpenDialog.ShowOpen
    If OpenDialog.FileName <> "" Then
        Pdfformocx1.FlattenForms "", OpenDialog.FileName
    End If
cError:
    Beep
End Sub

Private Sub ImportForm_Click()
On Error GoTo cError
    OpenDialog.Filter = "FDF Files (*.FDF)|*.fdf|XML Files (*.XML)|*.xml"
    OpenDialog.ShowOpen
    If OpenDialog.FileName <> "" Then
        strExt = "fdf"
        If OpenDialog.FilterIndex = 2 Then
            strExt = "xml"
        End If
        Pdfformocx1.ImportFormData OpenDialog.FileName, strExt
    End If
cError:
    Beep
End Sub

Private Sub OpenPDF_Click()
On Error GoTo cError
    OpenDialog.Filter = "PDF Files (*.PDF)|*.PDF"
    OpenDialog.ShowOpen
    If OpenDialog.FileName <> "" Then
        Pdfformocx1.SetLicenseKey "XXXXXXXXXXXXXXXX"
        'Pdfformocx1.EnableInsertButtons False
        'Set OpenAction, OpenAction include "FitBH", "FitH", "Fit", "50" or others, "50" means display pages with magnification=50%
        'Pdfformocx1.SetOpenAction "FitH"
        Pdfformocx1.OpenPDF OpenDialog.FileName
    End If
cError:
    Beep
End Sub

Private Sub Refresh_Click()
    Pdfformocx1.RefreshPDF
End Sub

Private Sub Form_Load()
    Pdfformocx1.SetMessageCallbackWnd (Me.hwnd)
    Me.Tag = HookMessage(Me.hwnd)
    
    'Set display mode for buttons
    'nButtonPos: 0 is left, 1 is center, 2 is right
    'nButtonMode: 0 is all buttons, 2 is "Save to disk" button only
    Pdfformocx1.SetButtonMode 1, 0
    Pdfformocx1.EnableNoFormWarning 0
End Sub
Private Sub Form_UnLoad(Cancel As Integer)
    UnhookMessage Me.hwnd, Me.Tag
End Sub

